← OBPv7.0.0 Get My Dynamic Entities GET /obp/v7.0.0/my/dynamic-entities OBPv6.0.0-getMyDynamicEntities No role required Dynamic-Entity-ManageAPI Get all Dynamic Entity definitions I created. This v6.0.0 endpoint returns a cleaner response format with: snake_case field names (dynamic_entity_id, user_id, bank_id, has_personal_entity) An explicit entity_name field instead of using the entity name as a dynamic JSON key The entity schema in a separate definition object For more information see here User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example success response { "dynamic_entities": [ { "dynamic_entity_id": "abc-123-def", "entity_name": "customer_preferences", "user_id": "user-456", "has_personal_entity": true, "has_public_access": false, "has_community_access": false, "personal_requires_role": false, "use_row_level_access": false, "schema": { "description": "User preferences", "required": [ "theme" ], "properties": { "theme": { "type": "string" }, "language": { "type": "string" } } }, "_links": { "related": [ { "rel": "personal-list", "href": "/obp/dynamic-entity/my/customer_preferences", "method": "GET" }, { "rel": "personal-create", "href": "/obp/dynamic-entity/my/customer_preferences", "method": "POST" }, { "rel": "personal-read", "href": "/obp/dynamic-entity/my/customer_preferences/CUSTOMER_PREFERENCES_ID", "method": "GET" }, { "rel": "personal-update", "href": "/obp/dynamic-entity/my/customer_preferences/CUSTOMER_PREFERENCES_ID", "method": "PUT" }, { "rel": "personal-delete", "href": "/obp/dynamic-entity/my/customer_preferences/CUSTOMER_PREFERENCES_ID", "method": "DELETE" } ] } } ] } Possible errors (2) OBP-20001: User not logged in. Authentication is required!OBP-50000: Unknown Error.